LAST(1)

NOMBRE
last, lastb - muestra los usuarios que han accedido al sistema

SINOPSIS

last [opciones] [usuario...] [tty...]

lastb [opciones] [usuario...] [tty...]

DESCRIPCIÓN

last analiza el contenido del archivo /var/log/wtmp (o el que se haya indicada mediante la opción -f) y muestra un listado con los usuarios conectados (y desconectados) desde la creación de dicho archivo. Es posible indicar uno o más nombres_de_usuario y/o ttys, en cuyo caso solo se mostrarán las entradas que coincidan con éstos patrones. También cabe la posibilidad de abreviar los nombres de los ttys, por ejemplo last0 es lo mismo que last tty0.

Si last recibe una señal SIGINT (creada por una solicitud de interrupción, generalmente con Control-C) o SIGQUIT; se mostrará en qué punto estaba el análisis. En el caso de haber recibido la señal SIGINT, el proceso finalizará.

El pseudo-usuario reboot accede al sistema cada vez que se reinicia el equipo, por lo tanto last reboot mostrará una lista de todos los reinicios desde la creación del archivo.

lastb es idéntico a last salvo que analiza por defecto el archivo /var/log/btmp que muestra los intentos de acceso fallidos.

OPCIONES

-a, --hostlast
    Muestra el nombre del equipo en la última columna. Suele usarse en conjunción con la opción --dns.

-d, --dns
    Para el caso de accesos desde otros equipos, Linux no solo guarda el nombre del equipo remoto sino también su dirección IP. Esta opción convierte esa dirección IP en un nombre de equipo.

-f, --file archivo
    Indica a last que debe usar el archivo indicado en lugar de /var/log/wtmp. Es posible indicar varios archivos usando varias veces la opción --file, procesándose así todos los archivos indicados.

-F, --fulltimes
    Muestra la fecha y hora de los accesos.

-i, --ip
    Igual que --dns, pero muestra la dirección IP del equipo en lugar de su nombre.

-cantidad; -n, --limit cantidad
    Indica a last el número de líneas que debe mostrar.

-p, --present fecha_y_hora
    Muestra los usuario conectados en la fecha y hora indicados. Coincide con el uso de --since y --until indicando en ambos la misma fecha_y_hora.

-R, --nohostname
    No muestra el campo con el nombre del equipo.

-s, --since fecha_y_hora
    Muestra la situación de los accesos a partir del la fecha_y_hora indicados. Esto suele ser útil para ver quien accedió al sistema en un instante determinado. Esta opción suele combinarse con --until.

-t, --until fecha_y_hora
    Muesta la situación de los accesos hasta la fecha_y_hora indicados.

--time-format formato
    Define el formato de fecha y hora que se mostrará. Puede ser notime, short, full o iso. La opción notime no mostrará ninguna información de este tipo, short es la opción por defecto y full es lo mismo que --fulltime. La opción iso mostrará la fecha y hora en formato ISO-8601 que contiene información sobre la zona horaria resultando especialmente útil cuando se investigan accesos desde otros equipos.

-w, --fullnames
    Muestra el nombre de usuario completo y el nombre de dominio en la salida.

-x, --system
    Muestra las veces que se apagó un equipo y los cambios en los niveles de ejecución.

FORMATOS DE FECHA Y HORA

El argumento fecha_y_hora puede expresarse en los siguientes formatos:
AAAAMMDDhhmmss |
AAAA-MM-DD hh:mm:ss |
AAAA-MM-DD hh:mm | (se definen los segundo a 00)
AAAA-MM-DD | (la horas se definirá como 00:00:00)
hh:mm:ss | (se usará la fecha de hoy)
hh:mm | (se usa la fecha de hoy y los segundo a 00)
now |
yesterday | (se define la hora a 00:00:00)
today | (se define la hora a 00:00:00)
tomorrow | (se define la hora a 00:00:00)
+5min |
-5days |

ARCHIVOS

/var/log/wtmp, /var/log/btmp

NOTAS

Es posible que los archivos wtmp y btmp no se encuentren en el equipo. Observe que el mismo solo registrará información en estos archivos si existen, esto sería un error en la configuración que se subsanaría simplemente creándolos con la orden touch(1), es decir ejecutando touch /var/log/wtmp.

AUTORES

VÉASE TAMBIÉN

login(1), wtmp(5), init(8), shutdown(8)

INFORMAR DE ERRORES

Para informar de cualquier error, utilice el sistema de seguimiento de fallos

DISPONIBILIDAD

La orden last forma parte del paquete util-linux que puede ser descargado

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Fidel García <fidelgq@dinamic.net> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.